Bug 53574 - last line of anaconda TUI for KR is in scrambled chars for NFS, HTTP, FTP
Summary: last line of anaconda TUI for KR is in scrambled chars for NFS, HTTP, FTP
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.3
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-12 05:19 UTC by Leon Ho
Modified: 2013-01-10 21:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-10 18:17:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes for this bug entry (1.25 KB, patch)
2001-12-06 01:55 UTC, Leon Ho
no flags Details | Diff

Description Leon Ho 2001-09-12 05:19:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
Reported by KR QA: When installing for KR using NFS, HTTP, FTP in TUI, last
line of anaconda TUI is scrambled (ie. still in korean locale). This will
happen in second stage of anaconda (after the installation tree is loaded)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot from bootnet.img
2. choose NFS, FTP, or HTTP
3. enter mount/ftp/http information
4. then installation will go to second stage...
	

Actual Results:  last line is scrambled - "Tab/Alt-Tab  ..., Space ..., F12
..."

Expected Results:  In English

Additional info:

We know it is too late for now. However we feel that we need to sumbit a
bug entry to keep track of it.

Comment 1 Brent Fox 2001-09-13 22:20:08 UTC
I've verified this bug.  So, the text mode installer doesn't do Korean at all
right now.  So, the right thing to do is to modify the translation files to just
use English along the bottom line, right?

Comment 2 Paul Gampe 2001-09-14 04:42:16 UTC
Some background:

As the kernel team felt the use of unicon was not appropiate at this time, the 
apac team was left without support for the display of korean in TUI mode.

So we submitted a patch to anaconda that during a TUI installation if the 
customer selected Korean, the LANG is set to en_US but the locale kept as 
ko_KR.  This had the desired effect of displaying the english text.

This specific bug *only* occurs when anaconda is called a second time, via a 
nfs/ftp/http installation and only effects the LANG setting for the button bar.

Normal CD-ROM installations are not affected.

At least that is my understanding. Leon Ho is the patch author and will 
correct me if I'm wrong.  Paul


Comment 3 Leon Ho 2001-09-14 07:47:02 UTC
Correct. Also Matt Wilson has posted a revised patch for language which not
using Kon, which will display English instead of the translations. Please see
Bug 50364.


Comment 4 Brent Fox 2001-09-14 16:10:14 UTC
Ok.  I'm tranferring ownership to msw.

Comment 5 Michael Fulbright 2001-09-27 16:32:17 UTC
Will be addressed in Hampton.

Comment 6 Leon Ho 2001-11-27 02:34:24 UTC
I am trying to look at it as it effects 7.2-tcsc also, which need to be
addressed in this version.

It also effects the default "supported language" section. The default will be
"English (USA)" instead of "Simplified Chinese (China)" or "Traditional Chinese
(Taiwan)" in TUI.

Also both bugs only happens if it have seperate 1st and 2st stage loading
process (ie. when booting from bootnet.img), this makes it hard to debug. Also
it works fine when calling from command line (ie. LANG=en_US ./anaconda -m
nfs:/bob.brisbane.redhat.com/mnt/devel/7.2-tcsc/ -r /tmp)

anaconda gurus, any tips for debugging that?


Comment 7 Leon Ho 2001-12-06 01:53:55 UTC
There are two fixes in the following patch:

1. drawFrame() is moved after the "English" fallback in TUI so that it won't
write with translated text (thanks msw)

2. another part fixes the Lanauge Support selection. It will now select the user
selected language as the default supported language instead of "English"

Please put them for hampton'a anaconda. Thanks.

Comment 8 Leon Ho 2001-12-06 01:55:04 UTC
Created attachment 39807 [details]
fixes for this bug entry

Comment 9 Jeremy Katz 2002-04-03 00:09:44 UTC
The proposed patch is in current Hampton trees; does it resolve the problems?

Comment 10 Preston Brown 2002-04-10 18:11:41 UTC
Leon/Paul, please close this bug if it is resolved.

Comment 11 Paul Gampe 2002-04-11 02:03:42 UTC
Confirmed this is resolved in Hampton-re0408.1



Note You need to log in before you can comment on or make changes to this bug.